## WMS Modify Tag WMS Modify Tag |

## Functions

QmiMessageWmsModifyTagInput * | qmi_message_wms_modify_tag_input_new ()
QmiMessageWmsModifyTagInput * | qmi_message_wms_modify_tag_input_ref ()
void | qmi_message_wms_modify_tag_input_unref ()
gboolean | qmi_message_wms_modify_tag_input_get_message_mode ()
gboolean | qmi_message_wms_modify_tag_input_set_message_mode ()
gboolean | qmi_message_wms_modify_tag_input_get_message_tag ()
gboolean | qmi_message_wms_modify_tag_input_set_message_tag ()
QmiMessageWmsModifyTagOutput * | qmi_message_wms_modify_tag_output_ref ()
void | qmi_message_wms_modify_tag_output_unref ()
gboolean | qmi_message_wms_modify_tag_output_get_result ()
void | qmi_client_wms_modify_tag ()
QmiMessageWmsModifyTagOutput * | qmi_client_wms_modify_tag_finish ()

## Types and Values

| QmiMessageWmsModifyTagInput
| QmiMessageWmsModifyTagOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageWmsModifyTagInput
        ╰── QmiMessageWmsModifyTagOutput

## Description

## Functions

### qmi_message_wms_modify_tag_input_new ()

    QmiMessageWmsModifyTagInput *
    qmi_message_wms_modify_tag_input_new (void);

Allocates a new QmiMessageWmsModifyTagInput.

#### Returns

the newly created QmiMessageWmsModifyTagInput. The returned value should be freed with `qmi_message_wms_modify_tag_input_unref()`.

### qmi_message_wms_modify_tag_input_ref ()

    QmiMessageWmsModifyTagInput *
    qmi_message_wms_modify_tag_input_ref (QmiMessageWmsModifyTagInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWmsModifyTagInput. |

#### Returns

the new reference to `self` .

### qmi_message_wms_modify_tag_input_unref ()

    void
    qmi_message_wms_modify_tag_input_unref
                                   (QmiMessageWmsModifyTagInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWmsModifyTagInput. |

### qmi_message_wms_modify_tag_input_get_message_mode ()

    gboolean
    qmi_message_wms_modify_tag_input_get_message_mode
                                   (QmiMessageWmsModifyTagInput *self,
                                    QmiWmsMessageMode *value_message_mode,
                                    GError **error);

Get the 'Message Mode' field from `self` .

#### Parameters

self | a QmiMessageWmsModifyTagInput. |
value_message_mode | a placeholder for the output QmiWmsMessageMode, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_wms_modify_tag_input_set_message_mode ()

    gboolean
    qmi_message_wms_modify_tag_input_set_message_mode
                                   (QmiMessageWmsModifyTagInput *self,
                                    QmiWmsMessageMode value_message_mode,
                                    GError **error);

Set the 'Message Mode' field in the message.

#### Parameters

self | a QmiMessageWmsModifyTagInput. |
value_message_mode | a QmiWmsMessageMode. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_wms_modify_tag_input_get_message_tag ()

    gboolean
    qmi_message_wms_modify_tag_input_get_message_tag
                                   (QmiMessageWmsModifyTagInput *self,
                                    QmiWmsStorageType *value_message_tag_storage_type,
                                    guint32 *value_message_tag_memory_index,
                                    QmiWmsMessageTagType *value_message_tag_message_tag,
                                    GError **error);

Get the 'Message Tag' field from `self` .

#### Parameters

self | a QmiMessageWmsModifyTagInput. |
value_message_tag_storage_type | a placeholder for the output QmiWmsStorageType, or `NULL` if not required. |
value_message_tag_memory_index | a placeholder for the output guint32, or `NULL` if not required. |
value_message_tag_message_tag | a placeholder for the output QmiWmsMessageTagType, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_wms_modify_tag_input_set_message_tag ()

    gboolean
    qmi_message_wms_modify_tag_input_set_message_tag
                                   (QmiMessageWmsModifyTagInput *self,
                                    QmiWmsStorageType value_message_tag_storage_type,
                                    guint32 value_message_tag_memory_index,
                                    QmiWmsMessageTagType value_message_tag_message_tag,
                                    GError **error);

Set the 'Message Tag' field in the message.

#### Parameters

self | a QmiMessageWmsModifyTagInput. |
value_message_tag_storage_type | a QmiWmsStorageType. |
value_message_tag_memory_index | a guint32. |
value_message_tag_message_tag | a QmiWmsMessageTagType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_wms_modify_tag_output_ref ()

    QmiMessageWmsModifyTagOutput *
    qmi_message_wms_modify_tag_output_ref (QmiMessageWmsModifyTagOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWmsModifyTagOutput. |

#### Returns

the new reference to `self` .

### qmi_message_wms_modify_tag_output_unref ()

    void
    qmi_message_wms_modify_tag_output_unref
                                   (QmiMessageWmsModifyTagOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWmsModifyTagOutput. |

### qmi_message_wms_modify_tag_output_get_result ()

    gboolean
    qmi_message_wms_modify_tag_output_get_result
                                   (QmiMessageWmsModifyTagOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWmsModifyTagOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

### qmi_client_wms_modify_tag ()

    void
    qmi_client_wms_modify_tag (QmiClientWms *self,
                               QmiMessageWmsModifyTagInput *input,
                               guint timeout,
                               GCancellable *cancellable,
                               GAsyncReadyCallback callback,
                               gpointer user_data);

Asynchronously sends a Modify Tag request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wms_modify_tag_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWms. |
input | a QmiMessageWmsModifyTagInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

### qmi_client_wms_modify_tag_finish ()

    QmiMessageWmsModifyTagOutput *
    qmi_client_wms_modify_tag_finish (QmiClientWms *self,
                                      GAsyncResult *res,
                                      GError **error);

Finishes an async operation started with `qmi_client_wms_modify_tag()`.

#### Parameters

self | a QmiClientWms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wms_modify_tag()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWmsModifyTagOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wms_modify_tag_output_unref()`.

## Types and Values

### QmiMessageWmsModifyTagInput

    typedef struct _QmiMessageWmsModifyTagInput QmiMessageWmsModifyTagInput;

The QmiMessageWmsModifyTagInput structure contains private data and should only be accessed using the provided API.

### QmiMessageWmsModifyTagOutput

    typedef struct _QmiMessageWmsModifyTagOutput QmiMessageWmsModifyTagOutput;

The QmiMessageWmsModifyTagOutput structure contains private data and should only be accessed using the provided API.